import { defineComponent, defineAsyncComponent, computed, openBlock, createElementBlock, createBlock, unref, withCtx, Fragment, renderList, renderSlot, mergeProps, createCommentVNode } from 'vue';
import { storeToRefs } from 'pinia';
import '../../../../stores/index.mjs';
import { useThemeConfig } from '../../../../stores/themeConfig.mjs';

const _hoisted_1 = { class: "layout-navbars-container" };
var _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const BreadcrumbIndex = defineAsyncComponent(() => import('./topBar/index.vue.mjs'));
    const TagsView = defineAsyncComponent(() => import('./tagsView/tagsView.vue.mjs'));
    const storesThemeConfig = useThemeConfig();
    const { themeConfig } = storeToRefs(storesThemeConfig);
    const setShowTagsView = computed(() => {
      let { layout, isTagsview } = themeConfig.value;
      return layout !== "classic" && isTagsview;
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        !_ctx.$slots.breadcrumb ? (openBlock(), createBlock(unref(BreadcrumbIndex), { key: 0 }, {
          default: withCtx(() => [
            (openBlock(true), createElementBlock(
              Fragment,
              null,
              renderList(_ctx.$slots, (_, name) => {
                return renderSlot(_ctx.$slots, name, mergeProps({
                  key: name,
                  ref_for: true
                }, _ctx.$slots[name].props || {}));
              }),
              128
              /* KEYED_FRAGMENT */
            ))
          ]),
          _: 3
          /* FORWARDED */
        })) : renderSlot(_ctx.$slots, "breadcrumb", { key: 1 }),
        setShowTagsView.value ? (openBlock(), createBlock(unref(TagsView), { key: 2 })) : createCommentVNode("v-if", true)
      ]);
    };
  }
});

export { _sfc_main as default };
